{ config, pkgs, ... }:

with pkgs.lib;

let
  cfg = config.r6d.config-generator;
in {
  # Enable CUPS to print documents.
  services.printing = mkIf cfg.print {
    enable = true;
    drivers = [
      pkgs.samsung-unified-linux-driver
    ];
    # Suppression automatique des fichiers temporaires.
    # Par défaut, cups conserve une copie de ce qui a été imprimé
    # pas cool pour les mots de passe ou autre donnée sensible
    extraConf = ''
      PreserveJobHistory No
      PreserveJobFiles No
    '';
  };
}
